Index: lemon/concept/graph.h
===================================================================
--- lemon/concept/graph.h	(revision 1627)
+++ lemon/concept/graph.h	(revision 1630)
@@ -428,51 +428,51 @@
       Node source(Edge) const { return INVALID; }
 
-      /// Gives back the first Node in the iterating order.
-      
-      /// Gives back the first Node in the iterating order.
-      ///     
+//       /// Gives back the first Node in the iterating order.
+      
+//       /// Gives back the first Node in the iterating order.
+//       ///     
       void first(Node&) const {}
 
-      /// Gives back the next Node in the iterating order.
-      
-      /// Gives back the next Node in the iterating order.
-      ///     
+//       /// Gives back the next Node in the iterating order.
+      
+//       /// Gives back the next Node in the iterating order.
+//       ///     
       void next(Node&) const {}
 
-      /// Gives back the first Edge in the iterating order.
-      
-      /// Gives back the first Edge in the iterating order.
-      ///     
+//       /// Gives back the first Edge in the iterating order.
+      
+//       /// Gives back the first Edge in the iterating order.
+//       ///     
       void first(Edge&) const {}
-      /// Gives back the next Edge in the iterating order.
-      
-      /// Gives back the next Edge in the iterating order.
-      ///     
+//       /// Gives back the next Edge in the iterating order.
+      
+//       /// Gives back the next Edge in the iterating order.
+//       ///     
       void next(Edge&) const {}
 
 
-      /// Gives back the first of the Edges point to the given Node.
-      
-      /// Gives back the first of the Edges point to the given Node.
-      ///     
+//       /// Gives back the first of the Edges point to the given Node.
+      
+//       /// Gives back the first of the Edges point to the given Node.
+//       ///     
       void firstIn(Edge&, const Node&) const {}
 
-      /// Gives back the next of the Edges points to the given Node.
-
-
-      /// Gives back the next of the Edges points to the given Node.
-      ///
+//       /// Gives back the next of the Edges points to the given Node.
+
+
+//       /// Gives back the next of the Edges points to the given Node.
+//       ///
       void nextIn(Edge&) const {}
 
-      /// Gives back the first of the Edges start from the given Node.
-      
-      /// Gives back the first of the Edges start from the given Node.
-      ///     
+//       /// Gives back the first of the Edges start from the given Node.
+      
+//       /// Gives back the first of the Edges start from the given Node.
+//       ///     
       void firstOut(Edge&, const Node&) const {}
 
-      /// Gives back the next of the Edges start from the given Node.
-      
-      /// Gives back the next of the Edges start from the given Node.
-      ///     
+//       /// Gives back the next of the Edges start from the given Node.
+      
+//       /// Gives back the next of the Edges start from the given Node.
+//       ///     
       void nextOut(Edge&) const {}
 
@@ -512,4 +512,5 @@
       /// \warning Making maps that can handle bool type (NodeMap<bool>)
       /// needs some extra attention!
+      /// \todo Wrong documentation
       template<class T> 
       class NodeMap : public ReadWriteMap< Node, T >
@@ -535,4 +536,5 @@
       /// \warning Making maps that can handle bool type (EdgeMap<bool>)
       /// needs some extra attention!
+      /// \todo Wrong documentation
       template<class T> 
       class EdgeMap : public ReadWriteMap<Edge,T>
Index: lemon/concept/undir_graph.h
===================================================================
--- lemon/concept/undir_graph.h	(revision 1627)
+++ lemon/concept/undir_graph.h	(revision 1630)
@@ -33,6 +33,6 @@
   namespace concept {
 
-    /// Skeleton class which describes an edge with direction in \ref
-    /// UndirGraph "undirected graph".
+//     /// Skeleton class which describes an edge with direction in \ref
+//     /// UndirGraph "undirected graph".
     template <typename UndirGraph>
     class UndirGraphEdge : public UndirGraph::UndirEdge {
@@ -675,4 +675,5 @@
       /// \warning Making maps that can handle bool type (NodeMap<bool>)
       /// needs some extra attention!
+      /// \todo Wrong documentation
       template<class T> 
       class NodeMap : public ReadWriteMap< Node, T >
@@ -698,4 +699,5 @@
       /// \warning Making maps that can handle bool type (EdgeMap<bool>)
       /// needs some extra attention!
+      /// \todo Wrong documentation
       template<class T> 
       class EdgeMap : public ReadWriteMap<Edge,T>
@@ -720,4 +722,5 @@
       /// \warning Making maps that can handle bool type (UndirEdgeMap<bool>)
       /// needs some extra attention!
+      /// \todo Wrong documentation
       template<class T> 
       class UndirEdgeMap : public ReadWriteMap<UndirEdge,T>
@@ -791,67 +794,67 @@
       Node target(Edge) const { return INVALID; }
 
-      /// \brief First node of the graph
-      ///
-      /// \note This method is part of so called \ref
-      /// developpers_interface "Developpers' interface", so it shouldn't
-      /// be used in an end-user program.
+//       /// \brief First node of the graph
+//       ///
+//       /// \note This method is part of so called \ref
+//       /// developpers_interface "Developpers' interface", so it shouldn't
+//       /// be used in an end-user program.
       void first(Node&) const {}
-      /// \brief Next node of the graph
-      ///
-      /// \note This method is part of so called \ref
-      /// developpers_interface "Developpers' interface", so it shouldn't
-      /// be used in an end-user program.
+//       /// \brief Next node of the graph
+//       ///
+//       /// \note This method is part of so called \ref
+//       /// developpers_interface "Developpers' interface", so it shouldn't
+//       /// be used in an end-user program.
       void next(Node&) const {}
 
-      /// \brief First undirected edge of the graph
-      ///
-      /// \note This method is part of so called \ref
-      /// developpers_interface "Developpers' interface", so it shouldn't
-      /// be used in an end-user program.
+//       /// \brief First undirected edge of the graph
+//       ///
+//       /// \note This method is part of so called \ref
+//       /// developpers_interface "Developpers' interface", so it shouldn't
+//       /// be used in an end-user program.
       void first(UndirEdge&) const {}
-      /// \brief Next undirected edge of the graph
-      ///
-      /// \note This method is part of so called \ref
-      /// developpers_interface "Developpers' interface", so it shouldn't
-      /// be used in an end-user program.
+//       /// \brief Next undirected edge of the graph
+//       ///
+//       /// \note This method is part of so called \ref
+//       /// developpers_interface "Developpers' interface", so it shouldn't
+//       /// be used in an end-user program.
       void next(UndirEdge&) const {}
 
-      /// \brief First directed edge of the graph
-      ///
-      /// \note This method is part of so called \ref
-      /// developpers_interface "Developpers' interface", so it shouldn't
-      /// be used in an end-user program.
+//       /// \brief First directed edge of the graph
+//       ///
+//       /// \note This method is part of so called \ref
+//       /// developpers_interface "Developpers' interface", so it shouldn't
+//       /// be used in an end-user program.
       void first(Edge&) const {}
-      /// \brief Next directed edge of the graph
-      ///
-      /// \note This method is part of so called \ref
-      /// developpers_interface "Developpers' interface", so it shouldn't
-      /// be used in an end-user program.
+//       /// \brief Next directed edge of the graph
+//       ///
+//       /// \note This method is part of so called \ref
+//       /// developpers_interface "Developpers' interface", so it shouldn't
+//       /// be used in an end-user program.
       void next(Edge&) const {}
 
-      /// \brief First outgoing edge from a given node
-      ///
-      /// \note This method is part of so called \ref
-      /// developpers_interface "Developpers' interface", so it shouldn't
-      /// be used in an end-user program.
+//       /// \brief First outgoing edge from a given node
+//       ///
+//       /// \note This method is part of so called \ref
+//       /// developpers_interface "Developpers' interface", so it shouldn't
+//       /// be used in an end-user program.
       void firstOut(Edge&, Node) const {}
-      /// \brief Next outgoing edge to a node
-      ///
-      /// \note This method is part of so called \ref
-      /// developpers_interface "Developpers' interface", so it shouldn't
-      /// be used in an end-user program.
+//       /// \brief Next outgoing edge to a node
+//       ///
+//       /// \note This method is part of so called \ref
+//       /// developpers_interface "Developpers' interface", so it shouldn't
+//       /// be used in an end-user program.
       void nextOut(Edge&) const {}
 
-      /// \brief First incoming edge to a given node
-      ///
-      /// \note This method is part of so called \ref
-      /// developpers_interface "Developpers' interface", so it shouldn't
-      /// be used in an end-user program.
+//       /// \brief First incoming edge to a given node
+//       ///
+//       /// \note This method is part of so called \ref
+//       /// developpers_interface "Developpers' interface", so it shouldn't
+//       /// be used in an end-user program.
       void firstIn(Edge&, Node) const {}
-      /// \brief Next incoming edge to a node
-      ///
-      /// \note This method is part of so called \ref
-      /// developpers_interface "Developpers' interface", so it shouldn't
-      /// be used in an end-user program.
+//       /// \brief Next incoming edge to a node
+//       ///
+//       /// \note This method is part of so called \ref
+//       /// developpers_interface "Developpers' interface", so it shouldn't
+//       /// be used in an end-user program.
       void nextIn(Edge&) const {}
 
